# Picture Bind Task Completion Notification

Item's Picture Bind Task operates asynchronously. When Keeta's platform receives a MenuSync request, it creates two separate internal tasks, one for syncing the menu and another for uploading item images. Upon the image task completion (success or failure), Keeta will notify developers via this webhook.

Event ID: 1201

Endpoint: POST PictureBindTaskCompletionNotification
Version: v.1.0.0

## Request fields (application/json):

  - `shopId` (integer, required)
    Unique identifier of the Keeta store.Identifies the store to which the current operation belongs
    Example: 25381

  - `taskId` (integer, required)
    Task ID, the unique identifier for the current image binding task
    Example: 939569332

  - `mainTaskId` (integer)
    The task ID of the menu sync task associated with the current menu image sync task.
    Example: 41666617

  - `errorList` (array)
    Error list, contains a list of failed item processing information

  - `errorList.id` (integer, required)
    Item SPU_ID, the unique identifier for the item
    Example: 92462142

  - `errorList.name` (string)
    Item name
    Example: "Kyrushu Pork Soup Vegetable Stew"

  - `errorList.openItemCode` (string)
    Third-party SPU ID

  - `errorList.errorPictureList` (array)
    List of erroneous image details

  - `errorList.errorPictureList.url` (string, required)
    Image URL, the address of the erroneous image
    Example: "https://oms.seito.com.hk/ftp-tsuiwah/C93024/00000001/007013_6d86e8f94xxxxxxx6f95734.png"

  - `errorList.errorPictureList.code` (integer, required)
    Error Code, the specific error type of image processing
    Example: 107000711

  - `errorList.errorPictureList.message` (string, required)
    Error Details, the detailed description of the image processing error
    Example: "The image's width should be greater than 600px and height should be greater than 450px"

## Response 200 fields (application/json):

  - `code` (integer, required)
    A numeric status identifier indicating the result of the interface call, used to determine whether the operation executed successfully.

  - `message` (string, required)
    Text description corresponding to the status code, explaining the operation result or error cause to users.
    Example: "Success"


